# Class4WebhooksApi

All URIs are relative to *https://api.chat-api.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**setWebhook**](Class4WebhooksApi.md#setWebhook) | **POST** /webhook | Sets the URL for receiving webhook



## setWebhook

> SetWebhookStatus setWebhook(webhookUrl)

Sets the URL for receiving webhook

Sets the URL for receiving webhook notifications of new messages and message delivery events (ack).  **API responses in \&quot;Callbacks\&quot; tab**

### Example

```java
// Import classes:
//import org.openapitools.client.api.Class4WebhooksApi;

Class4WebhooksApi apiInstance = new Class4WebhooksApi();
WebhookUrl webhookUrl = new WebhookUrl(); // WebhookUrl | 
try {
    SetWebhookStatus result = apiInstance.setWebhook(webhookUrl);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling Class4WebhooksApi#setWebhook");
    e.printStackTrace();
}
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **webhookUrl** | [**WebhookUrl**](WebhookUrl.md)|  |

### Return type

[**SetWebhookStatus**](SetWebhookStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

- **Content-Type**: application/x-www-form-urlencoded, application/json
- **Accept**: application/json

